Bug 141954 - htmlview not opens browser window under mutt (in usual linux console)
htmlview not opens browser window under mutt (in usual linux console)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: htmlview (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Depends On:
  Show dependency treegraph
Reported: 2004-12-06 06:26 EST by Andy Shevchenko
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:12:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Shevchenko 2004-12-06 06:26:28 EST
Description of problem:
When mutt opens html attachment the started browser (htmlview by 
default) no output anything. Investigation of this issue has showed 
the mailcap problem. 

Replacing next mailcap entry
  text/html; /usr/bin/htmlview %s ; copiousoutput
  text/html; /usr/bin/htmlview %s ; nametemplate=%s.html
is quick solution.

Version-Release number of selected component (if applicable):
Comment 1 Bill Nottingham 2005-01-21 18:27:48 EST
I can't reproduce this in brief testing... either I get the correct
output, or in one case where I get no output, the proposed fix doesn't
Comment 2 Victor Ashik 2005-02-15 03:53:06 EST
I am also observing this bug in RHEL3: htmlview in mutt hangs at
opening of html-only emails with message:

Invoking autoview command: /usr/bin/htmlview

Sending break to it causes the following message:

[-- Autoview using /usr/bin/htmlview '/home/vashik/tmp/muttigHfnY' --]
+^[[9;1H                +--------------- Unknown type ----------------+
+^[[10;1H                |                                             |
+^[[11;1H                |  Content type is application/octet-stream.  |
+^[[12;1H                |  Do you want to save or display this file?  |
+^[[13;1H                |                                             |
+^[[14;1H                |      [ Save ]  [ Display ]  [ Cancel ]      |
+^[[15;1H                +---------------------------------------------+
Comment 3 Victor Ashik 2005-02-15 04:09:40 EST
I think I have better solution than Andy: just add -dump option to the
htmlview in /etc/mailcap, it will not prompt anything and will not
require to press enter as with namedtemplate.
Comment 4 Andy Shevchenko 2005-02-15 04:19:04 EST
I no agree with you, Victor. The -dump addon is no good solution. 
Several browsers can skip or misunderstand that option.
Comment 5 Victor Ashik 2005-02-15 04:25:22 EST
Ok, I have already understood myself that somebody may want to use
other browser than links or lynx.

I will also admit that in FC3 mutt/htmlview pair works without any
modification to /etc/mailcap. The problem needs more investigation.
Comment 6 Bill Nottingham 2005-02-15 12:36:40 EST
What is the HTML you're trying to view? It looks like you were trying
to view something not marked as text/htmol.
Comment 7 Bill Nottingham 2005-09-21 16:39:03 EDT
Upon investigation, it seems the main reason this works on later releases is
changes in 'llinks'. Ergo, assigning there. However, it's probably unlikely that
links will be changed on RHEL 3 at this point.
Comment 8 Karel Zak 2005-09-21 18:56:46 EDT
It seems that elinks (links) is so stupid that doesn't recognize HTML without
.html file extension... I have this problem with all elinks versions.

I think nice and simple solution is call elinks from htmlview with
"-default-mime-type text/html" option.
Comment 9 RHEL Product and Program Management 2007-10-19 15:12:02 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.